__  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

[email protected]: ~ $
#!/bin/sh

# make sure we exit on error
set -e

# Sanitise environment
while read -r env ; do
    case "$env" in
	'') continue ;;
	OPTIND) ;; # Dash croaks when unsetting OPTIND. See #985478
	PATH|PWD|TERM) ;;
	LANGUAGE|LANG|LC_*) ;;
	DEB_*|DEBIAN_*|DEBCONF_*) ;;
	DPKG_FORCE) ;;
	UCF_*) ;;
	*) unset "$env" ;;
    esac
done<<EOF
$(awk 'BEGIN{for(v in ENVIRON) print v}')
EOF

# set the version and revision
progname="$(basename "$0")"
pversion='3.0050'

######################################################################
########                                                     #########
########              Utility functions                      #########
########                                                     #########
######################################################################
for libdir in "$(dirname "$0")" /usr/share/ucf ; do
    [ -f "${libdir}/ucf_library.sh" ] && \
	. "${libdir}/ucf_library.sh" && \
	break
done

# Usage: get_file_metadate file_name
get_file_metadata()
{
    if [ -e "$1" ]; then
        # get file modification date without the nanoseconds and timezone info
        moddate="$(date +"%F %T" --date "$(stat --format '@%Y' "$1")")"
        # print file_name user.group permissions above_date
        stat --format "%n %U.%G 0%a $moddate" "$1"
    else
        echo "/dev/null"
    fi
}

# Runs the diff command with approrpiate arguments
# Usage run_diff diff|sdiff diff_opts old_file new_file
run_diff()
{
    local diff_cmd diff_opt old_file new_file old_file_label new_file_label out
    diff_cmd="$1"
    diff_opt="$2"
    old_file="$3"
    new_file="$4"

    old_file_label="$(get_file_metadata "$old_file")"
    new_file_label="$(get_file_metadata "$new_file")"

    [ -e "$old_file" ] || old_file=/dev/null
    [ -e "$new_file" ] || new_file=/dev/null

    if [ "$diff_cmd" = "diff" ] ; then
      diff "$diff_opt" --label "$old_file_label" "$old_file" \
            --label "$new_file_label" "$new_file" || true
    elif [ "$diff_cmd" = "sdiff" ] ; then
      # unfortunatelly the sdiff command does not support --label option
      out="$(sdiff "$diff_opt" "$old_file" "$new_file")" || true
      [ -z "$out" ] || printf "Old file: %s\nNew file: %s\n\n%s" \
                               "$old_file_label" "$new_file_label" "$out"
    else
      echo "Unknown diff command: $diff_cmd" >&2
      exit 1
    fi
}

# Use debconf to show the differences
# Usage: show_diff actual_file_differences file_stat_differences
show_diff() {
    if [ -z "$1" ]; then
	DIFF="There are no non-white space differences in the files."
    else
        if  [ 99999 -lt "$(echo "$1" | wc -c | awk '{print $1; }')" ]; then
            DIFF="The differences between the files are too large to display."
        else
	    # Try to convert non-breaking space to current locale
	    nbsp=$(printf '\302\240' | iconv -c --from-code=UTF-8 --to-code=//TRANSLIT)
	    DIFF="$(printf "%s" "$1" | sed "s/ /${nbsp:- }/g" | debconf-escape -e )"
        fi
    fi
    if [ "$DEBCONF_OK" = "YES" ] && [ "$DEBIAN_HAS_FRONTEND" ]; then
	templ=ucf/show_diff
	db_capb escape
	db_subst $templ DIFF "$DIFF"
	db_fset $templ seen false
	db_input critical $templ || true
	db_go || true
	db_get $templ
	# may contain sensitive information, so clear
	# immediatly after use so it is never written
	# to disk
	db_subst $templ DIFF ""
	db_reset $templ
	db_capb
    else
        if [ -z "$my_pager" ]; then
	    echo "$DIFF" | sensible-pager
        else
	    echo "$DIFF" | $my_pager
        fi
    fi
}

usageversion () {
        cat >&2 <<END
Debian GNU/Linux $progname $pversion.
           Copyright (C) 2002-2020 Manoj Srivastava.
	   Copyright (C) 2024- Mark Hindley.
This is free software; see the GNU General Public Licence for copying
conditions.  There is NO warranty.

Usage: $progname  [options] new_file  destination
Options:
     -h,     --help          print this message
     -s foo, --src-dir  foo  Set the src dir (historical md5sums live here)
             --sum-file bar  Force the historical md5sums to be read from
                             this file.  Overrides any setting of --src-dir.
     -d[n], --debug=[n]      Set the Debug level to N. Please note there must
                             be no spaces before the debug level
     -n,     --no-action     Dry run. No action is actually taken.
     -P foo, --package foo   Don't follow dpkg-divert diversions by package foo.
     -v,     --verbose       Make the script verbose
             --three-way     Register this file in the cache, and turn on the
                             diff3 option allowing the merging of maintainer
                             changes into a (potentially modified) local
                             configuration file. )
             --state-dir bar Set the state directory to bar instead of the
                             default '/var/lib/ucf'. Used mostly for testing.
             --debconf-ok    Indicate that it is ok for ucf to use an already
                             running debconf instance for prompting.
             --debconf-template bar
                             Specify an alternate, caller-provided debconf
                             template to use for prompting.
Usage: $progname  -p  destination
     -p,     --purge         Remove any reference to destination from records

By default, the directory the new_file lives in is assumed to be the src-dir,
which is where we look for any historical md5sums.

END

}

######################################################################
########                                                     #########
########        file and hash save/restore functions         #########
########                                                     #########
######################################################################
purge_md5sum () {
    for i in $(/usr/bin/seq 6 -1 0); do
	if [ -e "${statedir}/hashfile.${i}" ]; then
	    if [ "$docmd" = "YES" ]; then
		cp -pf "${statedir}/hashfile.${i}" \
		    "${statedir}/hashfile.$(($i+1))"
	    else
		echo cp -pf "${statedir}/hashfile.${i}" \
                          "${statedir}/hashfile.$(($i+1))"
	    fi
	fi
    done
    if [ -e "$statedir/hashfile" ]; then
	if [ "$docmd" = "YES" ]; then
	    cp -pf "$statedir/hashfile"  "$statedir/hashfile.0"
	else
	    echo cp -pf "$statedir/hashfile"  "$statedir/hashfile.0"
	fi
	if [ "$docmd" = "YES" ]; then
	    if [ "$VERBOSE" ]; then
		echo >&2 "grep -v ${dest_file_bre} $statedir/hashfile"
		grep -v "${dest_file_bre}"  "$statedir/hashfile" >&2 \
		    || true
	    fi
	    grep -v "${dest_file_bre}" "$statedir/hashfile" > \
		"$statedir/hashfile.tmp" || true
	    mv -f "$statedir/hashfile.tmp"  "$statedir/hashfile"
	fi
    fi
    [ "$VERBOSE" ] && echo >&2 "The cache file is $cached_file"
    if [ "$cached_file" ] && [ -f "$statedir/cache/$cached_file" ]; then
	$action rm -f "$statedir/cache/$cached_file"
    fi
}

replace_md5sum () {
    for i in $(/usr/bin/seq 6 -1 0); do
	if [ -e "${statedir}/hashfile.${i}" ]; then
	    if [ "$docmd" = "YES" ]; then
		cp -pf "${statedir}/hashfile.${i}" \
		    "${statedir}/hashfile.$(($i+1))"
	    else
		echo cp -pf "${statedir}/hashfile.${i}" \
		    "${statedir}/hashfile.$(($i+1))"
	    fi
	fi
    done
    if [ -e "$statedir/hashfile" ]; then
	if [ "$docmd" = "YES" ]; then
	    cp -pf "$statedir/hashfile"  "$statedir/hashfile.0"
	else
	    echo cp -pf "$statedir/hashfile"  "$statedir/hashfile.0"
	fi
	if [ "$docmd" = "YES" ]; then
	    if [ "$VERBOSE" ]; then
		echo >&2 "grep -v \"${dest_file_bre}\" \"$statedir/hashfile\""
		grep -v "${dest_file_bre}" "$statedir/hashfile" >&2 || true
		md5sum "$orig_new_file" | sed "s|$orig_new_file|$dest_file|" >&2
	    fi
	    grep -v "${dest_file_bre}" "$statedir/hashfile" > \
		"$statedir/hashfile.tmp" || true
	    md5sum "$orig_new_file" | sed "s|$orig_new_file|$dest_file|" >> \
		"$statedir/hashfile.tmp"
	    mv -f "$statedir/hashfile.tmp"  "$statedir/hashfile"
	else
	    echo "(grep -v \"${dest_file_bre}\" \"$statedir/hashfile\""
	    echo " md5sum \"$orig_new_file\" | sed \"s|$orig_new_file|$dest_file|\"; "
	    echo ") | sort > \"$statedir/hashfile\""
	fi
    else
	if [ "$docmd" = "YES" ]; then
	    md5sum "$orig_new_file" | sed "s|$orig_new_file|$dest_file|"  > \
		"$statedir/hashfile"
	else
	    echo " md5sum \"$orig_new_file\" | sed \"s|$orig_new_file|$dest_file|\" >" \
		"\"$statedir/hashfile\""
	fi
    fi
    file_size=$(stat -c '%s' "$orig_new_file")
    if [ "$THREEWAY" ] || [ "$file_size" -lt 25600 ]; then
	$action cp -pf "$orig_new_file" "$statedir/cache/$cached_file"
    fi
    # cp -pf "$orig_new_file" "$dest_file.${DIST_SUFFIX}"
}

replace_conf_file () {
    # do not mangle $dest_file since it's the one registered in the hashfile
    # or we have been ask to register
    real_file="$dest_file"
    if [ -L "$dest_file" ]; then
	real_file="$(readlink -nf "$dest_file" || :)"
	if [ ! "$real_file" ]; then
	    echo >&2 "$dest_file is a broken symlink!"
	    $action rm -f "$dest_file"
	    real_file="$dest_file"
	fi
    fi
    if [ -e "$real_file" ]; then
	if [ -z "$RETAIN_OLD" ]; then
	    #echo "Saving  ${real_file}.${OLD_SUFFIX},  in case."
	    [ "$VERBOSE" ] &&
		echo >&2 "Not saving ${real_file}, since it was unmodified"
	else
	    $action cp -pf $selinux "${real_file}" "${real_file}.${OLD_SUFFIX}"
	fi
    fi
    if [ -e "${real_file}" ]; then
        # Do not change the permissions and attributes of the destination
        $action cp -f $selinux "$new_file" "${real_file}"
    else
        # No destination file exists
        $action cp -pf $selinux "$new_file" "${real_file}"
    fi
    replace_md5sum
}

######################################################################
########                                                     #########
########              Command line args                      #########
########                                                     #########
######################################################################
#
# Long term variables
#
docmd='YES'
# action='withecho'
action=
selinux=''
DEBUG=0
VERBOSE=''
statedir='/var/lib/ucf'
THREEWAY=
DIST_SUFFIX="ucf-dist"
NEW_SUFFIX="ucf-new"
OLD_SUFFIX="ucf-old"
ERR_SUFFIX="merge-error"

handle_file_args() {
    if [ "$PURGE" = "YES" ]; then
	if [ $# -ne 1 ]; then
	    echo >&2 "*** ERROR: Need exactly one file argument when purging, got $#"
	    echo >&2 ""
	    usageversion
	    exit 2
	fi
	temp_dest_file="$1"
	if [ -e "$temp_dest_file" ]; then
            dest_file=$(vset "$(readlink -q -m "$temp_dest_file")" "The Destination file")
	else
            dest_file=$(vset "$temp_dest_file" "The Destination file")
	fi
    else
	if [ $# -ne 2 ]; then
	    echo >&2 "*** ERROR: Need exactly two file arguments, got $#"
	    echo >&2 ""
	    usageversion
	    exit 2
	fi
	temp_new_file="$1"
	temp_dest_file="$2"

	if [ ! -e "${temp_new_file}" ]; then
	    echo >&2 "Error: The new file ${temp_new_file} does not exist!"
	    exit 1
	fi
	new_file=$(vset "$(readlink -q -m "$temp_new_file")"  "The new file")
	if [ -e "$temp_dest_file" ]; then
            dest_file=$(vset "$(readlink -q -m "$temp_dest_file")" "The Destination file")
	else
            dest_file=$(vset "$temp_dest_file" "The Destination file")
	fi
    fi
}

handle_opts() {
    # Arguments are from getopt(1) in quoted mode.
    eval set --  "$*"
    while [ $# -gt 0 ] ; do
	case "$1" in
	    -h|--help) usageversion;                        exit 0 ;;
	    -n|--no-action) action='echo'; docmd='NO';      shift  ;;
	    -v|--verbose) VERBOSE=1;                        shift  ;;
	    -P|--package)
		opt_package="$2";			       shift 2 ;;
	    -s|--src-dir)
		opt_source_dir="$2";                       shift 2 ;;
	    --sum-file)
		opt_old_mdsum_file="$2";		  shift 2 ;;
	    --state-dir)
		opt_state_dir="$2";                        shift 2 ;;
	    --debconf-template)
		override_template="$2";                    shift 2 ;;
	    -D|-d|--debug|--DEBUG)
		# d has an optional argument. As we are in quoted mode,
		# an empty parameter will be generated if its optional
		# argument is not found.
		case "$2" in
		    "") DEBUG=$(vset 1 "The Debug value");	shift 2 ;;
		    *)  DEBUG=$(vset "$2" "The Debug value"); shift 2 ;;
		esac ;;
            -p|--purge) PURGE=YES;                         shift   ;;
	    --three-way) THREEWAY=YES;                       shift   ;;
	    --debconf-ok) DEBCONF_OK=YES;                    shift   ;;
	    -Z) selinux='-Z';                                shift   ;;
	    --)  shift ; handle_file_args "$@";            return   ;;
	    *) echo >&2 "Internal error!" ; exit 1 ;;
	esac
    done
}

# A separate assignment is essential to ensure getopt(1) error status isn't
# lost.
UCF_OPTS="$(getopt -a -o hs:d::D::npP:Zv -n "$progname" \
		     --long help,src-dir:,sum-file:,dest-dir:,debug::,DEBUG::,no-action,package:,purge,verbose,three-way,debconf-ok,debconf-template:,state-dir: \
		     -- "$@")"

handle_opts "$UCF_OPTS"

######################################################################
########                                                     #########
########              Sanity checking                        #########
########                                                     #########
######################################################################
# Need to run as root, or else the
if test "$(id -u)" != 0; then
    if [ "$docmd" = "YES" ]; then
        echo "$progname: Need to be run as root." >&2
        echo "$progname: Setting up no action mode." >&2
        action='echo'; docmd='NO'
    fi
fi

# Follow dpkg-divert as though we are installed as part of $opt_package
divert_line=$(dpkg-divert --listpackage "$dest_file")
if [ -n "$divert_line" ]; then
   # name of the package or 'LOCAL' for a local diversion
   divert_package="$divert_line"

   if [ "$divert_package" != "$opt_package" ]; then
       dest_file=$(dpkg-divert --truename "$dest_file")
   fi
fi
dest_file_bre="[[:space:]]$(escape_bre "$dest_file")"'$'

######################################################################
########                                                     #########
########              Set Default Values                     #########
########                                                     #########
######################################################################
# Load site defaults and overrides.
if [ -f /etc/ucf.conf ]; then
    . /etc/ucf.conf
fi

# Command line, env variable, config file, or default
if [ "$opt_source_dir" ]; then
    source_dir=$(vset "$opt_source_dir" "The Source directory")
elif [ "$UCF_SOURCE_DIR" ]; then
    source_dir=$(vset "$UCF_SOURCE_DIR" "The Source directory")
elif [ "$conf_source_dir" ]; then
    source_dir=$(vset "$conf_source_dir" "The Source directory")
else
    if [ "$new_file" ]; then
	source_dir=$(vset "$(dirname "$new_file")" "The Source directory")
    else
	source_dir=$(vset "/tmp" "The Source directory")
    fi

fi

if [ "$PAGER" ] && which "$PAGER" >/dev/null 2>&1 ; then
    my_pager="$(which "$PAGER")"
elif [ -s /usr/bin/pager ] &&
     [ "$(readlink -e /usr/bin/pager || :)" ]; then
    my_pager=/usr/bin/pager
elif [ -x /usr/bin/sensible-pager ]; then
    my_pager=/usr/bin/sensible-pager
elif [ -x /bin/more ]; then
    my_pager=/bin/more
else
    my_pager=
fi

# Command line, env variable, config file, or default
if [ "$opt_state_dir" ]; then
    statedir=$(vset "$opt_state_dir" "The State directory")
elif [ "$UCF_STATE_DIR" ]; then
    statedir=$(vset "$UCF_STATE_DIR" "The State directory")
elif [ "$conf_state_dir" ]; then
    statedir=$(vset "$conf_state_dir" "The State directory")
else
    statedir=$(vset '/var/lib/ucf'  "The State directory")
fi

# Handle conffold and conffnew together. See #980996
# Default
force_conff=

# Config file
if [ "$conf_force_conffold" ]; then
    if [ "$conf_force_conffnew" ]; then
	echo >&2 "Error: Only one of conf_force_conffold and conf_force_conffnew should"
	echo >&2 "       be set in the config file"
	exit 1
    fi
    force_conff=$(vset "old" "Force keep file")
elif [ "$conf_force_conffnew" ]; then
    force_conff=$(vset "new" "Force keep file")
fi

# Environment
if [ "$UCF_FORCE_CONFFOLD" ]; then
    if [ "$UCF_FORCE_CONFFNEW" ]; then
	echo >&2 "Error: Only one of UCF_FORCE_CONFFOLD and UCF_FORCE_CONFFNEW should"
	echo >&2 "       be set in the environment"
	exit 1
    fi
    force_conff=$(vset "old" "Force keep file")
elif [ "$UCF_FORCE_CONFFNEW" ]; then
    force_conff=$(vset "new" "Force keep file")
fi

# Env variable, config file, or default
if [ "$UCF_FORCE_CONFFMISS" ]; then
    force_conffmiss=$(vset "$UCF_FORCE_CONFFMISS" "Replace any missing files")
elif [ "$conf_force_conffmiss" ]; then
    force_conffmiss=$(vset "$conf_force_conffmiss" "Replace any missing files")
else
    force_conffmiss=''
fi

# DPKG_FORCE overrides all others: see #925375.
IFS=,
for f in $DPKG_FORCE ; do
    case $f in
	confmiss) force_conffmiss=$(vset 1 "DPKG_FORCE replace missing files") ;;
	confold) force_conff=$(vset "old" "DPKG_FORCE keep file") ;;
	confnew) force_conff=$(vset "new" "DPKG_FORCE keep file") ;;
	# The following override other settings, so break out of loop.
	confdef) unset force_conff
		 [ "$VERBOSE" ] && echo >&2 "DPKG_FORCE keep file default"
		 break ;;
	confask) force_conff=$(vset "ask" "DPKG_FORCE keep file"); break ;;
    esac
done
unset IFS

if [ -n "$opt_old_mdsum_file" ]; then
    old_mdsum_file=$(vset "$opt_old_mdsum_file" "The md5sum is found here")
elif [ "$UCF_OLD_MDSUM_FILE" ]; then
    old_mdsum_file=$(vset "$UCF_OLD_MDSUM_FILE" "The md5sum is found here")
elif [ "$conf_old_mdsum_file" ]; then
    old_mdsum_file=$(vset "$conf_old_mdsum_file" "Replace the old file")
elif [ "${new_file}" ]; then
    old_mdsum_file="$source_dir/$(basename "${new_file}").md5sum"
else
    old_mdsum_file=""
fi

######################################################################
########                                                     #########
########               More Sanity checking                  #########
########                                                     #########
######################################################################

# VERBOSE of 0 is supposed to be the same as not setting VERBOSE
if [ "$VERBOSE" = "0" ]; then
    VERBOSE=''
fi

if [ -e "$statedir/hashfile" ] && [ ! -w "$statedir/hashfile" ]; then
    echo >&2 "ucf: do not have write privilege to the state data"
    if [ "$docmd" = "YES" ]; then
	exit 1
    fi
fi

if [ ! -d "$statedir/cache" ]; then
    $action mkdir -p "$statedir/cache"
fi

# test and see if this file exists in the database
if [ -e "$statedir/hashfile" ]; then
    if [ "$VERBOSE" ]; then
	echo >&2 "The hash file exists"
	echo >&2 "grep ${dest_file_bre} $statedir/hashfile"
	grep "${dest_file_bre}" "$statedir/hashfile" >&2 || true
    fi
    lastsum=$(grep "${dest_file_bre}" "$statedir/hashfile" | \
                   awk '{print $1;}' )
fi

if [ "${new_file}" ]; then
    old_mdsum_dir="$source_dir/$(basename "${new_file}").md5sum.d"
else
    old_mdsum_dir=""
fi

cached_file="$(echo "$dest_file" | tr / :)"
######################################################################
########                                                     #########
########                  Debugging dump                     #########
########                                                     #########
######################################################################

if [ "$DEBUG" -gt 0 ]; then
    cat >&2 <<EOF
The new start file is      \`$new_file\'
The destination is         \`$dest_file\'  (\`$dest_file_bre\')
The history is kept under  \'$source_dir\'
The file may be cached at \'$statedir/cache/$cached_file\'
EOF
    if [ -s "$dest_file" ]; then
	echo "The destination file exists, and has md5sum:"
	md5sum "$dest_file"
    else
	echo "The destination file does not exist."
    fi
    if [ "$lastsum" ]; then
	echo "The old md5sum exists, and is:"
	echo "$lastsum"
    else
	echo "The old md5sum does not exist."
        if [ -d "$old_mdsum_dir" ] || [ -f "$old_mdsum_file" ]; then
            echo "However, there are historical md5sums around."
        fi
    fi
    if [ -e "$new_file" ]; then
	echo "The new file exists, and has md5sum:"
	md5sum "$new_file"
    else
	echo "The new file does not exist."
    fi
    if [ -d "$old_mdsum_dir" ]; then
	echo "The historical md5sum dir $old_mdsum_dir exists"
    elif [ -f "$old_mdsum_file" ]; then
	echo "The historical md5sum file $old_mdsum_file exists"
    else
	echo "Historical md5sums are not available"
    fi
fi

######################################################################
########                                                     #########
########        Short circuit if we are purging              #########
########                                                     #########
######################################################################

if [ "$PURGE" = "YES" ]; then
    [ "$VERBOSE" ] &&
	echo >&2 "Preparing to purge ${dest_file}"
    purge_md5sum
    exit 0
fi

######################################################################
########                                                     #########
########                  DebConf stuff                      #########
########                                                     #########
######################################################################

# Is debconf already running? Kinda tricky, because it will be after the
# confmodule is sourced, so only test before that.
if [ -z "$DEBCONF_ALREADY_RUNNING" ]; then
    if [ "$DEBIAN_HAS_FRONTEND" ]; then
	DEBCONF_ALREADY_RUNNING='YES'
    else
	DEBCONF_ALREADY_RUNNING='NO'
    fi
fi

export DEBCONF_ALREADY_RUNNING

if [ -z "$DEBCONF_OK" ]; then
    if [ "$DEBCONF_ALREADY_RUNNING" = 'YES' ]; then
	DEBCONF_OK='NO'
    else
	DEBCONF_OK='YES'
    fi
fi

# Time to start nagging the users who call ucf without debconf-ok
if [ "$DEBCONF_ALREADY_RUNNING"  = 'YES' ] && [ "$DEBCONF_OK" = NO ]; then
	# Commented out for now, uncomment after a while to begin nagging
	# maintainers to fix their scripts.
	cat \
<<END
*** WARNING: ucf was run from a maintainer script that uses debconf, but
             the script did not pass --debconf-ok to ucf. The maintainer
             script should be fixed to not stop debconf before calling ucf,
             and pass it this parameter. For now, ucf will revert to using
             old-style, non-debconf prompting. Ugh!

             Please inform the package maintainer about this problem.
END
fi

# Start up debconf or at least get the db_* commands available
# Don't check debconf with shellcheck.
# shellcheck source=/dev/null
if [ -e /usr/share/debconf/confmodule ]; then
    if test "$(id -u)" = 0; then
	. /usr/share/debconf/confmodule

	# Load our templates, just in case our template has
	# not been loaded or the Debconf DB lost or corrupted
	# since then, but only if it is OK to use debconf.
        if [ "$DEBCONF_OK" = 'YES' ]; then
            db_x_loadtemplatefile "$(dpkg-query --control-path ucf templates)" ucf
        fi
    else
        echo >&2 "$progname: Not loading confmodule, since we are not running as root."
    fi
    # Only set the title if debconf was not already running.
    # If it was running, then we do not want to clobber the
    # title used for configuring the whole package with debconf.
    if [ "$DEBCONF_ALREADY_RUNNING" = 'NO' ]; then
	if ! db_settitle ucf/title 2>/dev/null; then
      	    # Older debconf that does not support that command.
            if test "$(id -u)" = 0; then
		db_title "Modified configuration file"
            else
                echo >&2 "$progname: Not changing title, since we are not running as root."
            fi
	fi
    fi
fi

######################################################################
########                                                     #########
########                Start Processing                     #########
########                                                     #########
######################################################################

orig_new_file="$new_file"	# Since sometimes we replace the newfile below
newsum=$(md5sum "$new_file" | awk '{print $1}')

######################################################################
########                                                     #########
########               Do the replacement                    #########
########                                                     #########
######################################################################
# Step 1: If we have no record of this file, and dest file
#         does, We need to determine how to initialize the
#         ${old_mdsum_prefix}.old file..
if [ -e "$dest_file" ]; then
    destsum=$(md5sum "$dest_file"  | awk '{print $1}')
    if [ ! "$lastsum" ]; then
#      a: If we have a directory containing historical md5sums of this
#         file in question, we should look and see if the currently
#         installed file matches any of the old md5sums; in which case
#         it can be silently replaced.
	if [ -d "$old_mdsum_dir" ] || [ -f "$old_mdsum_file" ]; then
	    if [ -d "$old_mdsum_dir"  ]; then
		for file in "${old_mdsum_dir}/"*; do
		    oldsum="$(awk '{print $1}' "$file")"
		    if [ "$oldsum" = "$destsum"  ]; then
			if [ "$force_conff" != "old" ]; then
#                           Bingo! replace, set the md5sum, and we are done
			    [ "$VERBOSE" ] &&
				echo >&2 \
				    "Replacing config file $dest_file with new version"
			    replace_conf_file
			    exit 0
			else
			    replace_md5sum
			    cp -pf "$orig_new_file" "$dest_file.${DIST_SUFFIX}"
			    exit 0
			fi
		    fi
		done
	    elif [ -f "$old_mdsum_file" ]; then
		oldsum=$(grep -E "^${destsum}" "$old_mdsum_file" || true)
		if [ "$oldsum" ]; then
#                    Bingo
		    if [ "$force_conff" != old ]; then
			[ "$VERBOSE" ] &&
			    echo >&2 \
				"Replacing config file $dest_file with new version"
			replace_conf_file
			exit 0
		    else
			replace_md5sum
			cp -pf "$orig_new_file" "$dest_file.${DIST_SUFFIX}"
			exit 0
		    fi
		fi
	    fi
#	   Well, nothing matched. We now check to see if the
#	   maintainer has an opinion on how to set the ``md5sum of the
#	   previously installed version'', since we have no way of
#	   determining that automatically. Please note that unless
#	   there are limited number of previously released packages
#	   (like just one), the maintainer is also making a guess at
#	   this point by supplying a historical md5sum default file.
	    [ "$VERBOSE" ] &&
		echo >&2 "Historical md5sums did not match."
	    if [ -d "$old_mdsum_dir"  ]; then
		if [ -e "${old_mdsum_dir}/default" ]; then
		    [ "$VERBOSE" ] &&
			echo >&2 "However, a default entry exists, using it."
		    lastsum="$(awk '{print $1;}' "${old_mdsum_dir}"/default)"
		    do_replace_md5sum=1
		fi
	    elif [ -f "$old_mdsum_file" ]; then
		oldsum=$(grep -E "[[:space:]]default$" "$old_mdsum_file" | \
		    awk '{print $1;}')
		if [ "$oldsum" ]; then
#                   Bingo
		    lastsum=$oldsum
		    do_replace_md5sum=1
		fi
	    fi
	fi

#       At this point, we are almost certain that either the
#       historical record of md5sums is not complete, or the user has
#       changed the configuration file. Rather than guessing and
#       chosing one of the historical md5sums, we fall through to the
#       solution used if there had been no historical md5sums
#       directory/file.
	if [ ! "$lastsum" ]; then
#       b: We do not have a historical list of md5sums, or none
#          matched, and we still need to initialize the
#          ${old_mdsum_prefix}.old file. We can't determine whther or
#          not they made any changes, so we err on the side of caution
#          and ask.
	    [ "$VERBOSE" ] &&
		echo >&2 "No match found, we shall ask."
	    lastsum='AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA'
	fi # the old md5sum file does not exist, and the historical
	   # record failed
    fi # the old md5sum file does not exist (bug))
else  # "$dest_file" does not exist
# Step 2: If destfile does not exist, create it, set the file
#         "${old_mdsum_prefix}.old" to the md5sum of the new file, and we
#         are done
    if [ ! "$lastsum" ]; then
        # Ok, so there is no indication that the package was ever
        # installed on this machine.
	echo >&2 "Creating config file $dest_file with new version"
	replace_conf_file
	exit 0
    elif [ "$lastsum" = "$newsum" ]; then
        # OK, new version of the file is the same as the last version
        # we saw. Since the user apparently has deleted the file,
        # nothing needs be done, unless we have been told differently
        if [ "$force_conffmiss" ]; then
	    echo >&2 "Recreating deleted config file $dest_file with new version, as asked"
	    replace_conf_file
	    exit 0
        else
            echo >&2 "Not replacing deleted config file $dest_file"
        fi

    else
        # OK. New upstream version.
        if [ "$force_conffmiss" ]; then
            # User has said to replace missing files, so we do so, no
            # questions asked.
	    echo >&2 "Recreating deleted config file $dest_file with new version, as asked"
	    replace_conf_file
	    exit 0
        else
            # Even though the user has deleted this file, they should
            # be asked now, unless specified otherwise.
            if [ "$force_conff" != "old" ]; then
                destsum='AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA'
            else
                exit 0
	    fi
        fi
    fi
fi

# Here, the destfile exists.

# step 3: If the old md5sum and the md5sum of the new file
#         do not match, we need to take action.
if [ "$lastsum" = "$newsum" ]; then
    if [ "$force_conff" = 'ask' ]; then
	[ "$VERBOSE" ] &&
	    echo >&2 "Forced to ask even though md5sums match."
	destsum='AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA'
    else
	[ "$VERBOSE" ] &&
	    echo >&2 "md5sums match, nothing needs be done."
	if [ "$do_replace_md5sum" ]; then
	    replace_md5sum
	fi
	exit 0;			# Hah. Match. We are done.
    fi
fi
#      a: If the md5sum of the dest file is the same as lastsum, replace the
#         destfile, saying we are replacing old config files
if [ "$destsum" = "$lastsum" ]; then
    if [ "$force_conff" != old ]; then
	echo >&2 "Replacing config file $dest_file with new version"
	replace_conf_file
	exit 0
    else
	replace_md5sum
	cp -pf "$orig_new_file" "$dest_file.${DIST_SUFFIX}"
	exit 0
    fi
else
#      b: If the md5sum of the dest file differs from lastsum, we need to ask
#         the user what action to take.
    if [ "$force_conff" = "new" ]; then
	echo >&2 "Replacing config file $dest_file with new version"
	echo >&2 "since you asked for it."
        if [ "$destsum" = "$newsum" ]; then
            echo >&2 "The new and the old files are identical, AFAICS"
        else
            echo >&2 "The new and the old files are different"
        fi
	replace_conf_file
	exit 0
    fi
    if [ "$force_conff" = "old" ]; then
	replace_md5sum
	cp -pf "$orig_new_file" "$dest_file.${DIST_SUFFIX}"
	exit 0
    fi
#      c: If the destination file is the same as the new maintianer provided one,
#         we need do nothing.
    if [ "$newsum" = "$destsum" ]; then
	[ "$VERBOSE" ] &&
	    echo >&2 "md5sums of the file in place matches, nothing needs be done."
	replace_md5sum
	exit 0;			# Hah. Match. We are done.
    fi

    done='NO'
    while [ "$done" = "NO" ]; do
	if [ "$DEBCONF_OK" = "YES" ] && [ "$DEBIAN_HAS_FRONTEND" ]; then
		# Use debconf to prompt.
		if [ -e "$statedir/cache/$cached_file" ] && [ "$THREEWAY" ]; then
			templ=ucf/changeprompt_threeway
		else
			templ=ucf/changeprompt
		fi
		if [ "$override_template" ]; then
			choices="$(db_metaget $templ Choices-C)"
			choices2="$(db_metaget "$override_template" Choices-C)"
			if [ "$choices" = "$choices2" ]; then
				templ=$override_template
			fi
		fi
		db_fset "$templ" seen false
		db_reset "$templ"
		db_subst "$templ" FILE "$dest_file"
		db_subst "$templ" NEW  "$new_file"
		db_subst "$templ" BASENAME "$(basename "$dest_file")"
		db_input critical "$templ" || true
		if ! db_go; then
			# The current ucf interface does not provide a way for it
			# to tell its caller that the user chose to back up.
			# However, we could get here, if the caller turned on
			# debconf's backup capb. The best thing to do seems to be
			# to ignore requests to back up.
			continue
		fi
		db_get "$templ"
		ANSWER="$RET"
	else
            echo >&2 "Need debconf to interact"
            exit 2
	fi

	case "$ANSWER" in
	    install_new|y|Y|I|i)
		echo >&2 "Replacing config file $dest_file with new version"
		RETAIN_OLD=YES
		replace_conf_file;
		exit 0;
		;;
	    diff|D|d)
		DIFF="$(run_diff diff -uBbwt "$dest_file" "$new_file")"
		show_diff "$DIFF"
		;;
	    sdiff|S|s)
		DIFF="$(run_diff sdiff -BbWt "$dest_file" "$new_file")"
		show_diff "$DIFF"
		;;
	    diff_threeway|3|t|T)
		if [ -e "$statedir/cache/$cached_file" ] && \
		    [ "$THREEWAY" ]; then
                    if [ -e "$dest_file" ]; then
		        DIFF="$(diff3 -L Current -L Older -L New -A \
			    "$dest_file" "$statedir/cache/$cached_file" \
			    "$new_file")"  || true
                    else
                        DIFF="$(diff3 -L Current -L Older -L New -A \
			    /dev/null "$statedir/cache/$cached_file" \
			    "$new_file")"  || true
                    fi
		    show_diff "$DIFF"
		else
		    DIFF="$(run_diff diff -uBbwt "$dest_file" "$new_file")"
		    show_diff "$DIFF"
		fi
		;;
	    merge_threeway|M|m)
		echo >&2 "Merging changes into the new version"
		if [ -e "$statedir/cache/$cached_file" ] && \
		       [ "$THREEWAY" ]; then
		    ret=0
		    diff3 -L Current -L Older -L New -m \
			"$dest_file" "$statedir/cache/$cached_file" \
			"$new_file" > "$dest_file.${NEW_SUFFIX}" || ret=$?
                    case "$ret" in
                        0)
		            new_file="$dest_file.${NEW_SUFFIX}"
		            RETAIN_OLD=YES
		            replace_conf_file
			    rm -f "$dest_file.${NEW_SUFFIX}" # don't need this around no mo'
			    exit 0
                            ;;
                        *)
			    mv "$dest_file.${NEW_SUFFIX}" "$dest_file.${ERR_SUFFIX}"
			    db_subst ucf/conflicts_found dest_file "$dest_file"
			    db_subst ucf/conflicts_found ERR_SUFFIX "${ERR_SUFFIX}"
			    db_input critical ucf/conflicts_found || true
			    db_go || true
			    ;;
                    esac
		else
		    replace_conf_file
		    rm -f "$dest_file.${NEW_SUFFIX}" # don't need this around no mo'
		    exit 0
		fi
		;;
	    shell|Z|z)
                # We explicitly connect STDIN and STDOUT to the
                # script's controlling terminal, so even if STDIN is
                # fed by a pipe, as is the case when run from
                # /usr/bin/debconf, the shell should be fully
                # functional. However, the test for a controlling
                # terminal uses /usr/bin/tty, which consults only
                # STDIN. As far as I can tell, when run from debconf,
                # ucf will _never_ use the current terminal. If the
                # goal is to check for access to a terminal, the test
                # should be for foreground process group membership,
                # not a terminal connected to STDIN (tty -s), and not
                # a terminal it doesn't necessarily own (tty -s
                # </dev/tty). The easiest way do this from a shell is
                # probably with /bin/ps.
                if [ "$(ps -o tpgid= $$)" -eq "$(ps -o pgid= $$)" ]; then
                    export UCF_CONFFILE_OLD="$dest_file"
                    export UCF_CONFFILE_NEW="$new_file"
		    bash >/dev/tty </dev/tty || true
                elif [ -n "$DISPLAY" ]; then
                    x-terminal-emulator || true
                else
                    # Don't know what to do
                    echo >&2 "No terminal, and no DISPLAY set, can't fork shell."
                    sleep 3
                fi
		;;
	    keep_current|n|N|o|O|'')
		replace_md5sum

		cp -pf "$orig_new_file" "$dest_file.${DIST_SUFFIX}"
		exit 0
		;;
	    *)
		if [ "$DEBCONF_OK" = "YES" ]; then
			echo "Error: unknown response from debconf:'$RET'" >&2
			exit 1
		else
			echo
			echo "Please answer with one of the single letters listed." >&2
			echo
		fi
	esac
    done
fi

db_stop

exit 0

Filemanager

Name Type Size Permission Actions
X11 Folder 0755
GET File 15.87 KB 0755
HEAD File 15.87 KB 0755
POST File 15.87 KB 0755
X File 274 B 0755
Xephyr File 2.67 MB 0755
Xorg File 274 B 0755
Xwayland File 2.76 MB 0755
[ File 46.51 KB 0755
aa-enabled File 18.38 KB 0755
aa-exec File 18.38 KB 0755
aa-features-abi File 18.38 KB 0755
ab File 58.51 KB 0755
aconnect File 22.45 KB 0755
acpidbg File 1.58 KB 0755
add-apt-repository File 24.42 KB 0755
addr2line File 30.78 KB 0755
airscan-discover File 154.93 KB 0755
alsabat File 50.52 KB 0755
alsaloop File 91.41 KB 0755
alsamixer File 100.37 KB 0755
alsatplg File 86.45 KB 0755
alsaucm File 34.91 KB 0755
amidi File 30.46 KB 0755
amixer File 66.53 KB 0755
apg File 274 B 0755
apgbfm File 26.38 KB 0755
aplay File 86.5 KB 0755
aplaymidi File 26.46 KB 0755
aplaymidi2 File 22.47 KB 0755
apport-bug File 2.27 KB 0755
apport-cli File 13.56 KB 0755
apport-collect File 2.27 KB 0755
apport-unpack File 3.7 KB 0755
appres File 14.38 KB 0755
appstreamcli File 146.3 KB 0755
apropos File 47.36 KB 0755
apt File 18.46 KB 0755
apt-add-repository File 24.42 KB 0755
apt-cache File 90.54 KB 0755
apt-cdrom File 30.54 KB 0755
apt-config File 30.47 KB 0755
apt-extracttemplates File 26.53 KB 0755
apt-ftparchive File 246.55 KB 0755
apt-get File 58.54 KB 0755
apt-mark File 70.54 KB 0755
apt-sortpkgs File 42.47 KB 0755
aptdcon File 1.01 KB 0755
ar File 54.56 KB 0755
arch File 34.59 KB 0755
arecord File 86.5 KB 0755
arecordmidi File 34.47 KB 0755
arecordmidi2 File 26.48 KB 0755
arm2hpdl File 14.31 KB 0755
as File 795.52 KB 0755
aseqdump File 34.45 KB 0755
aseqnet File 22.51 KB 0755
aseqsend File 22.46 KB 0755
aspell File 162.55 KB 0755
aspell-import File 2 KB 0755
atobm File 14.3 KB 0755
awk File 190.84 KB 0755
axfer File 90.45 KB 0755
b2sum File 54.59 KB 0755
baobab File 302.52 KB 0755
base32 File 42.59 KB 0755
base64 File 42.59 KB 0755
basename File 34.59 KB 0755
basenc File 50.59 KB 0755
bash File 1.66 MB 0755
bashbug File 6.86 KB 0755
bc File 90.82 KB 0755
bdftopcf File 42.56 KB 0755
bdftruncate File 14.38 KB 0755
bitmap File 106.31 KB 0755
bluemoon File 38.45 KB 0755
bluetooth-sendto File 30.48 KB 0755
bluetoothctl File 574.27 KB 0755
bmtoa File 14.32 KB 0755
boltctl File 122.84 KB 0755
bpftrace File 4.57 MB 0755
bpftrace-aotrt File 3.2 MB 0755
brltty File 1.13 MB 0755
brltty-atb File 218.63 KB 0755
brltty-clip File 214.57 KB 0755
brltty-ctb File 330.8 KB 0755
brltty-hid File 274.84 KB 0755
brltty-ktb File 603.28 KB 0755
brltty-lscmds File 250.58 KB 0755
brltty-morse File 286.64 KB 0755
brltty-trtxt File 274.7 KB 0755
brltty-ttb File 318.88 KB 0755
brltty-tune File 302.7 KB 0755
broadwayd File 126.46 KB 0755
browse File 31.53 KB 0755
btattach File 30.45 KB 0755
btmgmt File 186.56 KB 0755
btmon File 1.16 MB 0755
btrfs File 1.49 MB 0755
btrfs-convert File 884.63 KB 0755
btrfs-find-root File 796.63 KB 0755
btrfs-image File 840.63 KB 0755
btrfs-map-logical File 796.63 KB 0755
btrfs-select-super File 792.63 KB 0755
btrfsck File 1.49 MB 0755
btrfstune File 832.63 KB 0755
bunzip2 File 38.45 KB 0755
busctl File 102.6 KB 0755
busybox File 2.34 MB 0755
bwrap File 82.54 KB 0755
bzcat File 38.45 KB 0755
bzcmp File 2.17 KB 0755
bzdiff File 2.17 KB 0755
bzegrep File 3.69 KB 0755
bzexe File 4.78 KB 0755
bzfgrep File 3.69 KB 0755
bzgrep File 3.69 KB 0755
bzip2 File 38.45 KB 0755
bzip2recover File 18.38 KB 0755
bzless File 1.27 KB 0755
bzmore File 1.27 KB 0755
c++filt File 26.34 KB 0755
c89 File 428 B 0755
c89-gcc File 428 B 0755
c99 File 454 B 0755
c99-gcc File 454 B 0755
c_rehash File 6.67 KB 0755
calibrate_ppa File 26.38 KB 0755
canberra-gtk-play File 18.3 KB 0755
cancel File 18.38 KB 0755
captoinfo File 94.49 KB 0755
cat File 42.54 KB 0755
catman File 30.84 KB 0755
cc File 1.13 MB 0755
cd-create-profile File 26.38 KB 0755
cd-fix-profile File 30.38 KB 0755
cd-iccdump File 14.38 KB 0755
cd-it8 File 26.38 KB 0755
certutil File 186.93 KB 0755
cgi-fcgi File 18.23 KB 0755
chacl File 18.3 KB 0755
chage File 83.23 KB 2755
chardet File 221 B 0755
chardetect File 221 B 0755
chattr File 14.38 KB 0755
chcon File 66.59 KB 0755
check-language-support File 2.71 KB 0755
checkgid File 14.38 KB 0755
chfn File 71.16 KB 4755
chgrp File 66.59 KB 0755
chktest File 14.38 KB 0755
chmod File 62.59 KB 0755
choom File 22.45 KB 0755
chown File 66.59 KB 0755
chrt File 30.45 KB 0755
chsh File 47.79 KB 4755
chvt File 14.45 KB 0755
cifsiostat File 26.55 KB 0755
ciptool File 38.56 KB 0755
ckbcomp File 147.14 KB 0755
cksum File 106.6 KB 0755
clear File 14.38 KB 0755
clear_console File 14.3 KB 0755
cloud-id File 972 B 0755
cloud-init File 976 B 0755
cloud-init-per File 2.06 KB 0755
cmp File 50.47 KB 0755
cmsutil File 46.47 KB 0755
codepage File 14.37 KB 0755
col File 22.46 KB 0755
colcrt File 14.46 KB 0755
colormgr File 58.45 KB 0755
colrm File 14.46 KB 0755
column File 38.46 KB 0755
comm File 38.59 KB 0755
corelist File 15.01 KB 0755
cp File 142.59 KB 0755
cpan File 8.16 KB 0755
cpan5.40-x86_64-linux-gnu File 8.18 KB 0755
cpio File 142.02 KB 0755
cpp File 1.13 MB 0755
cpp-14 File 1.13 MB 0755
cpupower File 1.58 KB 0755
crash File 13.91 MB 0755
crlutil File 98.48 KB 0755
crontab File 42.81 KB 2755
csplit File 54.59 KB 0755
ctstat File 22.73 KB 0755
cupstestppd File 74.45 KB 0755
curl File 310.48 KB 0755
cut File 42.59 KB 0755
cvt File 14.23 KB 0755
cvtsudoers File 377.3 KB 0755
dash File 146.84 KB 0755
date File 106.59 KB 0755
dbus-cleanup-sockets File 14.37 KB 0755
dbus-daemon File 242.72 KB 0755
dbus-monitor File 38.37 KB 0755
dbus-run-session File 14.37 KB 0755
dbus-send File 42.37 KB 0755
dbus-update-activation-environment File 18.37 KB 0755
dbus-uuidgen File 14.37 KB 0755
dbxtool File 22.45 KB 0755
dc File 50.24 KB 0755
dconf File 62.3 KB 0755
dd File 66.62 KB 0755
ddstdecode File 18.31 KB 0755
deallocvt File 14.45 KB 0755
deb-systemd-helper File 23.79 KB 0755
deb-systemd-invoke File 6.97 KB 0755
debconf File 2.8 KB 0755
debconf-apt-progress File 11.57 KB 0755
debconf-communicate File 623 B 0755
debconf-copydb File 1.68 KB 0755
debconf-escape File 668 B 0755
debconf-set-selections File 3.14 KB 0755
debconf-show File 1.78 KB 0755
debian-distro-info File 31.03 KB 0755
deja-dup File 402.59 KB 0755
delv File 61.4 KB 0755
derdump File 30.46 KB 0755
desktop-file-edit File 96.57 KB 0755
desktop-file-install File 96.57 KB 0755
desktop-file-validate File 80.85 KB 0755
df File 79.06 KB 0755
dh_bash-completion File 4.42 KB 0755
dh_installxmlcatalogs File 9.22 KB 0755
dh_perl_openssl File 1.53 KB 0755
diff File 154.63 KB 0755
diff3 File 66.59 KB 0755
dig File 154.95 KB 0755
dir File 155.02 KB 0755
dircolors File 46.59 KB 0755
dirmngr File 545.84 KB 0755
dirmngr-client File 55 KB 0755
dirname File 34.46 KB 0755
distro-info File 26.97 KB 0755
dmesg File 80.78 KB 0755
dnsdomainname File 22.3 KB 0755
do-release-upgrade File 9.05 KB 0755
domainname File 22.3 KB 0755
dpkg File 371.2 KB 0755
dpkg-deb File 162.66 KB 0755
dpkg-divert File 134.82 KB 0755
dpkg-maintscript-helper File 20.63 KB 0755
dpkg-query File 158.84 KB 0755
dpkg-realpath File 38.45 KB 0755
dpkg-split File 110.61 KB 0755
dpkg-statoverride File 54.63 KB 0755
dpkg-trigger File 46.61 KB 0755
driverless File 30.47 KB 0755
driverless-fax File 591 B 0755
du File 106.6 KB 0755
dumpkeys File 162.93 KB 0755
duplicity File 968 B 0755
dvipdf File 1007 B 0755
eatmydata File 2.74 KB 0755
ec2metadata File 8.38 KB 0755
echo File 34.46 KB 0755
ed File 70.63 KB 0755
editor File 328.65 KB 0755
editres File 72.77 KB 0755
efibootdump File 22.38 KB 0755
efibootmgr File 47.77 KB 0755
egrep File 41 B 0755
eject File 42.3 KB 0755
elfedit File 34.79 KB 0755
enc2xs File 40.97 KB 0755
encguess File 2.99 KB 0755
enchant-2 File 22.38 KB 0755
enchant-lsmod-2 File 14.38 KB 0755
env File 50.99 KB 0755
envsubst File 38.46 KB 0755
eog File 14.45 KB 0755
eps2eps File 639 B 0755
eqn File 204.52 KB 0755
esc-m File 14.16 KB 0755
eutp File 26.23 KB 0755
ex File 2.16 MB 0755
expand File 38.61 KB 0755
expiry File 22.63 KB 2755
expr File 46.49 KB 0755
factor File 70.59 KB 0755
fallocate File 26.45 KB 0755
false File 34.46 KB 0755
fc-cache File 22.45 KB 0755
fc-cat File 18.45 KB 0755
fc-conflist File 14.45 KB 0755
fc-list File 14.45 KB 0755
fc-match File 14.45 KB 0755
fc-pattern File 14.45 KB 0755
fc-query File 14.45 KB 0755
fc-scan File 14.45 KB 0755
fc-validate File 14.45 KB 0755
fcgistarter File 14.38 KB 0755
fgconsole File 14.45 KB 0755
fgrep File 41 B 0755
file File 30.6 KB 0755
file-roller File 562.61 KB 0755
file2brl File 26.3 KB 0755
find File 207.55 KB 0755
findmnt File 75.92 KB 0755
firefox File 2.32 KB 0755
flock File 26.56 KB 0755
fmt File 42.59 KB 0755
fold File 38.59 KB 0755
fonttosfnt File 46.48 KB 0755
foo2ddst File 34.96 KB 0755
foo2ddst-wrapper File 16.86 KB 0755
foo2hbpl2 File 30.98 KB 0755
foo2hbpl2-wrapper File 17.91 KB 0755
foo2hiperc File 42.99 KB 0755
foo2hiperc-wrapper File 18.11 KB 0755
foo2hp File 42.96 KB 0755
foo2hp2600-wrapper File 18.75 KB 0755
foo2lava File 42.99 KB 0755
foo2lava-wrapper File 19.61 KB 0755
foo2oak File 34.9 KB 0755
foo2oak-wrapper File 17.45 KB 0755
foo2qpdl File 43.02 KB 0755
foo2qpdl-wrapper File 19.06 KB 0755
foo2slx File 30.99 KB 0755
foo2slx-wrapper File 17.19 KB 0755
foo2xqx File 34.99 KB 0755
foo2xqx-wrapper File 17.16 KB 0755
foo2zjs File 43 KB 0755
foo2zjs-icc2ps File 14.39 KB 0755
foo2zjs-pstops File 2.93 KB 0755
foo2zjs-wrapper File 25.34 KB 0755
foomatic-rip File 115.48 KB 0755
fprintd-delete File 94.45 KB 0755
fprintd-enroll File 94.94 KB 0755
fprintd-list File 90.45 KB 0755
fprintd-verify File 90.45 KB 0755
free File 26.45 KB 0755
ftp File 182.9 KB 0755
funzip File 26.45 KB 0755
fuser File 43.42 KB 0755
fusermount File 38.45 KB 4755
fusermount3 File 38.45 KB 4755
fwupdmgr File 122.38 KB 0755
fwupdtool File 130.38 KB 0755
gamemoded File 166.73 KB 0755
gamma4scanimage File 14.38 KB 0755
gapplication File 22.46 KB 0755
gatttool File 126.56 KB 0755
gcalccmd File 286.46 KB 0755
gcc File 1.13 MB 0755
gcc-14 File 1.13 MB 0755
gcc-ar File 30.66 KB 0755
gcc-ar-14 File 30.66 KB 0755
gcc-nm File 30.66 KB 0755
gcc-nm-14 File 30.66 KB 0755
gcc-ranlib File 30.66 KB 0755
gcc-ranlib-14 File 30.66 KB 0755
gcore File 3.62 KB 0755
gcov File 468.19 KB 0755
gcov-14 File 468.19 KB 0755
gcov-dump File 380.14 KB 0755
gcov-dump-14 File 380.14 KB 0755
gcov-tool File 408.23 KB 0755
gcov-tool-14 File 408.23 KB 0755
gcr-viewer File 14.37 KB 0755
gcr-viewer-gtk4 File 34.45 KB 0755
gdb File 11.23 MB 0755
gdb-add-index File 4.55 KB 0755
gdbtui File 126 B 0755
gdbus File 54.46 KB 0755
gdctl File 51.15 KB 0755
gdk-pixbuf-csource File 14.4 KB 0755
gdk-pixbuf-pixdata File 14.38 KB 0755
gdk-pixbuf-thumbnailer File 18.47 KB 0755
gdm-config File 50.75 KB 0755
gdmflexiserver File 22.94 KB 0755
gencat File 34.52 KB 0755
geqn File 204.52 KB 0755
getconf File 26.44 KB 0755
getent File 38.8 KB 0755
getfacl File 30.38 KB 0755
getkeycodes File 14.45 KB 0755
getopt File 22.45 KB 0755
gettext File 38.46 KB 0755
gettext.sh File 5.05 KB 0755
ghostscript File 14.23 KB 0755
ginstall-info File 47.31 KB 0755
gio File 110.48 KB 0755
gio-querymodules File 18.38 KB 0755
gipddecode File 18.31 KB 0755
gjs File 22.71 KB 0755
gjs-console File 22.71 KB 0755
glib-compile-schemas File 54.46 KB 0755
gmake File 344.14 KB 0755
gnome-calculator File 822.91 KB 0755
gnome-calendar File 884.62 KB 0755
gnome-characters File 253 B 0755
gnome-clocks File 458.65 KB 0755
gnome-control-center File 4.28 MB 0755
gnome-disk-image-mounter File 22.46 KB 0755
gnome-disks File 687.57 KB 0755
gnome-extensions File 78.53 KB 0755
gnome-font-viewer File 82.73 KB 0755
gnome-help File 58.3 KB 0755
gnome-keyring File 22.62 KB 0755
gnome-keyring-3 File 22.62 KB 0755
gnome-keyring-daemon File 1.07 MB 0755
gnome-language-selector File 1.41 KB 0755
gnome-logs File 170.88 KB 0755
gnome-power-statistics File 66.43 KB 0755
gnome-session File 958 B 0755
gnome-session-inhibit File 22.38 KB 0755
gnome-session-properties File 66.41 KB 0755
gnome-session-quit File 14.68 KB 0755
gnome-shell File 30.8 KB 0755
gnome-shell-extension-tool File 1.67 KB 0755
gnome-shell-test-tool File 11.12 KB 0755
gnome-system-monitor File 427.49 KB 0755
gnome-terminal File 91.78 KB 0755
gnome-terminal.wrapper File 6.06 KB 0755
gnome-text-editor File 654.7 KB 0755
gnome-thumbnail-font File 26.47 KB 0755
gnome-www-browser File 2.32 KB 0755
gp-archive File 34.59 KB 0755
gp-collect-app File 54.42 KB 0755
gp-display-html File 630.35 KB 0755
gp-display-src File 30.41 KB 0755
gp-display-text File 166.42 KB 0755
gpasswd File 78.54 KB 4755
gpg File 1.3 MB 0755
gpg-agent File 397.59 KB 0755
gpg-connect-agent File 87.38 KB 0755
gpg-wks-client File 147.44 KB 0755
gpgconf File 119.44 KB 0755
gpgparsemail File 34.38 KB 0755
gpgsm File 577.44 KB 0755
gpgsplit File 26.62 KB 0755
gpgtar File 75.91 KB 0755
gpgv File 355.22 KB 0755
gpic File 228.12 KB 0755
gprof File 99.86 KB 0755
gprofng File 22.41 KB 0755
gprofng-archive File 34.59 KB 0755
gprofng-collect-app File 54.42 KB 0755
gprofng-display-html File 630.35 KB 0755
gprofng-display-src File 30.41 KB 0755
gprofng-display-text File 166.42 KB 0755
gpu-manager File 66.9 KB 0755
grdctl File 74.46 KB 0755
grep File 182.45 KB 0755
gresource File 26.38 KB 0755
groff File 102.58 KB 0755
grog File 18.75 KB 0755
grops File 202.62 KB 0755
grotty File 130.58 KB 0755
groups File 38.59 KB 0755
growpart File 29.19 KB 0755
grub-editenv File 401.24 KB 0755
grub-file File 749.96 KB 0755
grub-fstest File 871.4 KB 0755
grub-glue-efi File 102.96 KB 0755
grub-kbdcomp File 1.64 KB 0755
grub-menulst2cfg File 87.27 KB 0755
grub-mkfont File 131.52 KB 0755
grub-mkimage File 381.34 KB 0755
grub-mklayout File 107.3 KB 0755
grub-mknetdir File 437.85 KB 0755
grub-mkpasswd-pbkdf2 File 115.4 KB 0755
grub-mkrelpath File 259.87 KB 0755
grub-mkrescue File 1.01 MB 0755
grub-mkstandalone File 522.24 KB 0755
grub-mount File 694.29 KB 0755
grub-render-label File 766.3 KB 0755
grub-script-check File 126.84 KB 0755
grub-syslinux2cfg File 706.79 KB 0755
gs File 14.23 KB 0755
gsbj File 350 B 0755
gsdj File 352 B 0755
gsdj500 File 352 B 0755
gsettings File 30.38 KB 0755
gslj File 353 B 0755
gslp File 350 B 0755
gsnd File 277 B 0755
gst-device-monitor-1.0 File 22.4 KB 0755
gst-discoverer-1.0 File 38.48 KB 0755
gst-inspect-1.0 File 66.55 KB 0755
gst-launch-1.0 File 38.48 KB 0755
gst-play-1.0 File 54.48 KB 0755
gst-stats-1.0 File 34.46 KB 0755
gst-tester-1.0 File 18.38 KB 0755
gst-typefind-1.0 File 18.46 KB 0755
gstack File 2.98 KB 0755
gstreamer-codec-install File 22.23 KB 0755
gtbl File 154.55 KB 0755
gted File 654.7 KB 0755
gtf File 18.38 KB 0755
gtk-builder-tool File 34.8 KB 0755
gtk-encode-symbolic-svg File 22.48 KB 0755
gtk-launch File 18.53 KB 0755
gtk-query-settings File 14.38 KB 0755
gtk-update-icon-cache File 42.65 KB 0755
gtk4-broadwayd File 150.46 KB 0755
gtk4-builder-tool File 82.79 KB 0755
gtk4-encode-symbolic-svg File 11.71 MB 0755
gtk4-image-tool File 38.55 KB 0755
gtk4-launch File 18.53 KB 0755
gtk4-path-tool File 50.45 KB 0755
gtk4-query-settings File 14.38 KB 0755
gtk4-rendernode-tool File 46.45 KB 0755
gtk4-update-icon-cache File 42.65 KB 0755
gunzip File 2.28 KB 0755
gzexe File 6.29 KB 0755
gzip File 123.32 KB 0755
h2ph File 28.15 KB 0755
h2xs File 59.51 KB 0755
hardlink File 46.56 KB 0755
hbpldecode File 30.39 KB 0755
hciattach File 60.53 KB 0755
hciconfig File 158.56 KB 0755
hcitool File 166.16 KB 0755
hd File 54.47 KB 0755
head File 46.59 KB 0755
heif-thumbnailer File 34.4 KB 0755
helpztags File 2.46 KB 0755
hex2hcd File 18.45 KB 0755
hexdump File 54.47 KB 0755
hipercdecode File 18.31 KB 0755
host File 118.97 KB 0755
hostid File 34.59 KB 0755
hostname File 22.3 KB 0755
hostnamectl File 34.46 KB 0755
hp-align File 9.14 KB 0755
hp-check File 39.2 KB 0755
hp-clean File 7.05 KB 0755
hp-colorcal File 9.08 KB 0755
hp-config_usb_printer File 6.98 KB 0755
hp-doctor File 12.69 KB 0755
hp-firmware File 6.47 KB 0755
hp-info File 6.26 KB 0755
hp-levels File 6.85 KB 0755
hp-logcapture File 12.15 KB 0755
hp-makeuri File 5.6 KB 0755
hp-pkservice File 3.13 KB 0755
hp-plugin File 13.62 KB 0755
hp-plugin-ubuntu File 719 B 0755
hp-probe File 7.98 KB 0755
hp-query File 4.94 KB 0755
hp-scan File 88.25 KB 0755
hp-setup File 37.26 KB 0755
hp-testpage File 5.98 KB 0755
hp-timedate File 3.31 KB 0755
htcacheclean File 38.39 KB 0755
htdbm File 26.38 KB 0755
htdigest File 14.38 KB 0755
htpasswd File 30.38 KB 0755
httpserv File 38.4 KB 0755
hwe-support-status File 11.24 KB 0755
i386 File 26.73 KB 0755
ibd2sdi File 278.98 KB 0755
ibus File 86.45 KB 0755
ibus-daemon File 230.5 KB 0755
ibus-setup File 1.15 KB 0755
ibus-table-createdb File 1.11 KB 0755
iceauth File 42.5 KB 0755
ico File 50.44 KB 0755
iconv File 66.59 KB 0755
id File 42.59 KB 0755
iecset File 26.45 KB 0755
ijs_pxljr File 34.53 KB 0755
im-config File 11.03 KB 0755
im-launch File 2.07 KB 0755
inetutils-telnet File 221.9 KB 0755
info File 245.8 KB 0755
infobrowser File 245.8 KB 0755
infocmp File 70.45 KB 0755
infotocap File 94.49 KB 0755
innochecksum File 179.63 KB 0755
inputattach File 33.75 KB 0755
install File 142.59 KB 0755
install-info File 47.31 KB 0755
instmodsh File 4.27 KB 0755
intel-virtual-output File 66.31 KB 0755
ionice File 18.45 KB 0755
iostat File 58.55 KB 0755
ip File 904.97 KB 0755
ipcmk File 22.52 KB 0755
ipcrm File 18.45 KB 0755
ipcs File 38.45 KB 0755
ipod-read-sysinfo-extended File 22.38 KB 0755
ipod-time-sync File 14.38 KB 0755
ippfind File 46.48 KB 0755
ipptool File 106.38 KB 0755
iptables-xml File 105.02 KB 0755
ischroot File 14.55 KB 0755
isdv4-serial-debugger File 18.31 KB 0755
isdv4-serial-inputattach File 18.31 KB 0755
ispell-wrapper File 7.05 KB 0755
join File 54.63 KB 0755
journalctl File 91.19 KB 0755
jpgicc File 38.47 KB 0755
jq File 34.23 KB 0755
json-patch-jsondiff File 1004 B 0755
json_pp File 4.9 KB 0755
jsondiff File 1004 B 0755
jsonpatch File 3.77 KB 0755
jsonpointer File 1.79 KB 0755
jsonschema File 213 B 0755
kbd_mode File 14.74 KB 0755
kbdinfo File 18.45 KB 0755
kbxutil File 70.91 KB 0755
kernel-install File 54.71 KB 0755
kill File 22.45 KB 0755
killall File 31.42 KB 0755
kmod File 194.31 KB 0755
kmodsign File 18.45 KB 0755
l2ping File 18.38 KB 0755
l2test File 34.72 KB 0755
laptop-detect File 3.74 KB 0755
lavadecode File 22.39 KB 0755
ld File 1.78 MB 0755
ld.bfd File 1.78 MB 0755
ld.so File 245.65 KB 0755
ldapadd File 66.53 KB 0755
ldapcompare File 66.53 KB 0755
ldapdelete File 66.55 KB 0755
ldapexop File 66.53 KB 0755
ldapmodify File 66.53 KB 0755
ldapmodrdn File 62.53 KB 0755
ldappasswd File 66.53 KB 0755
ldapsearch File 102.55 KB 0755
ldapurl File 14.38 KB 0755
ldapwhoami File 62.53 KB 0755
ldd File 5.26 KB 0755
less File 216.21 KB 0755
lessecho File 14.38 KB 0755
lessfile File 8.83 KB 0755
lesskey File 23.79 KB 0755
lesspipe File 8.83 KB 0755
lexgrog File 111.59 KB 0755
libnetcfg File 15.41 KB 0755
libreoffice File 6.5 KB 0755
link File 34.59 KB 0755
linkicc File 26.45 KB 0755
linux-boot-prober File 1.54 KB 0755
linux-check-removal File 4.56 KB 0755
linux-update-symlinks File 6.35 KB 0755
linux-version File 2.63 KB 0755
linux32 File 26.73 KB 0755
linux64 File 26.73 KB 0755
listres File 14.8 KB 0755
ln File 62.59 KB 0755
lnstat File 22.73 KB 0755
loadkeys File 206.98 KB 0755
loadunimap File 34.54 KB 0755
localc File 59 B 0755
locale File 49.71 KB 0755
locale-check File 14.23 KB 0755
localectl File 30.45 KB 0755
localedef File 323.2 KB 0755
localsearch File 133.8 KB 0755
lodraw File 59 B 0755
loffice File 53 B 0755
lofromtemplate File 64 B 0755
logger File 39.05 KB 0755
login File 42.45 KB 0755
loginctl File 66.59 KB 0755
logname File 34.59 KB 0755
logresolve File 14.39 KB 0755
loimpress File 62 B 0755
lomath File 59 B 0755
look File 18.46 KB 0755
loweb File 58 B 0755
lowntfs-3g File 131.05 KB 0755
lowriter File 61 B 0755
lp File 26.38 KB 0755
lpoptions File 22.45 KB 0755
lpq File 22.45 KB 0755
lpr File 22.38 KB 0755
lprm File 14.38 KB 0755
lpstat File 38.7 KB 0755
ls File 155.02 KB 0755
lsattr File 14.38 KB 0755
lsb_release File 2.77 KB 0755
lsblk File 178.46 KB 0755
lscpu File 118.46 KB 0755
lshw File 784.49 KB 0755
lsinitramfs File 735 B 0755
lsipc File 54.45 KB 0755
lslocks File 42.88 KB 0755
lslogins File 50.45 KB 0755
lsmem File 38.45 KB 0755
lsmod File 194.31 KB 0755
lsns File 42.46 KB 0755
lsof File 203.8 KB 0755
lspci File 144.19 KB 0755
lspgpot File 1.06 KB 0755
lspower File 1.2 KB 0755
lsusb File 234.48 KB 0755
lto-dump File 31.61 MB 0755
lto-dump-14 File 31.61 MB 0755
luit File 100.88 KB 0755
lwp-download File 10.05 KB 0755
lwp-dump File 2.65 KB 0755
lwp-mirror File 2.36 KB 0755
lwp-request File 15.87 KB 0755
lzcat File 103.02 KB 0755
lzcmp File 7.41 KB 0755
lzdiff File 7.41 KB 0755
lzegrep File 10.17 KB 0755
lzfgrep File 10.17 KB 0755
lzgrep File 10.17 KB 0755
lzless File 2.33 KB 0755
lzma File 103.02 KB 0755
lzmainfo File 14.45 KB 0755
lzmore File 2.18 KB 0755
m17n-db File 3.65 KB 0755
m2300w File 28.83 KB 0755
m2300w-wrapper File 14.24 KB 0755
m2400w File 32.83 KB 0755
make File 344.14 KB 0755
make-first-existing-target File 4.79 KB 0755
makedumpfile File 415.41 KB 0755
makedumpfile-R.pl File 4.83 KB 0755
mako-render File 972 B 0755
man File 129.48 KB 0755
man-recode File 35.48 KB 0755
mandb File 155.74 KB 0755
manpath File 26.86 KB 0755
mapscrn File 34.54 KB 0755
markdown-it File 220 B 0755
mawk File 190.84 KB 0755
mbim-network File 11.08 KB 0755
mbimcli File 216.82 KB 0755
mcookie File 26.52 KB 0755
md5sum File 42.49 KB 0755
md5sum.textutils File 42.49 KB 0755
mdig File 54.48 KB 0755
memhog File 14.42 KB 0755
mesa-overlay-control.py File 5.59 KB 0755
migrate-pubring-from-classic-gpg File 3.02 KB 0755
migratepages File 14.38 KB 0755
migspeed File 14.3 KB 0755
mimeopen File 9.41 KB 0755
mimetype File 12.76 KB 0755
min12xxw File 31.45 KB 0755
mk_modmap File 15.78 KB 0755
mkdir File 70.59 KB 0755
mkfifo File 42.59 KB 0755
mkfontdir File 65 B 0755
mkfontscale File 42.9 KB 0755
mknod File 46.59 KB 0755
mksquashfs File 286.95 KB 0755
mktemp File 38.59 KB 0755
mmcli File 278.02 KB 0755
modutil File 94.49 KB 0755
mokutil File 59.48 KB 0755
monitor-sensor File 18.38 KB 0755
more File 46.46 KB 0755
mount File 50.45 KB 4755
mountpoint File 18.45 KB 0755
mousetweaks File 74.3 KB 0755
mpris-proxy File 94.67 KB 0755
mpstat File 50.55 KB 0755
mscompress File 14.3 KB 0755
msexpand File 14.3 KB 0755
mt File 75.09 KB 0755
mt-gnu File 75.09 KB 0755
mtr File 80.33 KB 0755
mtr-packet File 34.38 KB 0755
mv File 134.6 KB 0755
my_print_defaults File 179.59 KB 0755
myisam_ftdump File 6.36 MB 0755
myisamchk File 6.57 MB 0755
myisamlog File 6.39 MB 0755
myisampack File 6.42 MB 0755
mysql File 6.63 MB 0755
mysql_config_editor File 165.27 KB 0755
mysql_migrate_keyring File 6.53 MB 0755
mysql_secure_installation File 6.45 MB 0755
mysql_tzinfo_to_sql File 79.15 KB 0755
mysqladmin File 6.47 MB 0755
mysqlanalyze File 6.48 MB 0755
mysqlbinlog File 6.86 MB 0755
mysqlcheck File 6.48 MB 0755
mysqld_multi File 26.73 KB 0755
mysqld_safe File 28.45 KB 0755
mysqldump File 6.57 MB 0755
mysqldumpslow File 7.54 KB 0755
mysqlimport File 6.46 MB 0755
mysqloptimize File 6.48 MB 0755
mysqlrepair File 6.48 MB 0755
mysqlshow File 6.46 MB 0755
mysqlslap File 6.47 MB 0755
namei File 22.45 KB 0755
nano File 328.65 KB 0755
nautilus File 1.6 MB 0755
nautilus-autorun-software File 18.38 KB 0755
nautilus-sendto File 22.23 KB 0755
nawk File 190.84 KB 0755
nc File 42.71 KB 0755
nc.openbsd File 42.71 KB 0755
neqn File 913 B 0755
netaddr File 211 B 0755
netcat File 42.71 KB 0755
netstat File 166.68 KB 0755
networkctl File 130.59 KB 0755
networkd-dispatcher File 19.88 KB 0755
newgrp File 18.45 KB 4755
ngettext File 38.46 KB 0755
nhlt-dmic-info File 18.55 KB 0755
nice File 38.59 KB 0755
nisdomainname File 22.3 KB 0755
nl File 42.68 KB 0755
nm File 47.57 KB 0755
nm-connection-editor File 963.06 KB 0755
nm-online File 22.45 KB 0755
nmcli File 1.03 MB 0755
nmtui File 891.73 KB 0755
nmtui-connect File 891.73 KB 0755
nmtui-edit File 891.73 KB 0755
nmtui-hostname File 891.73 KB 0755
nohup File 38.49 KB 0755
notify-send File 26.31 KB 0755
nproc File 38.59 KB 0755
nroff File 5.58 KB 0755
nsenter File 30.71 KB 0755
nslookup File 118.98 KB 0755
nss-addbuiltin File 30.68 KB 0755
nss-dbtest File 22.47 KB 0755
nss-pp File 86.46 KB 0755
nstat File 30.45 KB 0755
nsupdate File 82.62 KB 0755
ntfs-3g File 175.09 KB 4755
ntfs-3g.probe File 14.45 KB 0755
ntfscat File 26.45 KB 0755
ntfscluster File 38.46 KB 0755
ntfscmp File 30.45 KB 0755
ntfsdecrypt File 42.46 KB 0755
ntfsfallocate File 26.46 KB 0755
ntfsfix File 34.46 KB 0755
ntfsinfo File 58.46 KB 0755
ntfsls File 27.53 KB 0755
ntfsmove File 30.46 KB 0755
ntfsrecover File 114.45 KB 0755
ntfssecaudit File 90.94 KB 0755
ntfstruncate File 26.38 KB 0755
ntfsusermap File 18.38 KB 0755
ntfswipe File 46.98 KB 0755
numactl File 35.23 KB 0755
numastat File 35.56 KB 0755
numfmt File 62.6 KB 0755
nvidia-detector File 270 B 0755
oakdecode File 18.33 KB 0755
obexctl File 110.46 KB 0755
objcopy File 166.7 KB 0755
objdump File 397.89 KB 0755
oclock File 23.41 KB 0755
ocspclnt File 70.46 KB 0755
od File 62.59 KB 0755
oem-getlogs File 8.3 KB 0755
on_ac_power File 2.45 KB 0755
oomctl File 18.45 KB 0755
open File 31.53 KB 0755
openssl File 1.08 MB 0755
openvt File 22.8 KB 0755
opldecode File 18.31 KB 0755
orca File 9.52 KB 0755
orca-dm-wrapper File 70 B 0755
os-prober File 4.42 KB 0755
osirrox File 14.15 KB 0755
p11-kit File 214.78 KB 0755
p7content File 22.39 KB 0755
p7env File 18.38 KB 0755
p7sign File 26.39 KB 0755
p7verify File 22.38 KB 0755
pager File 216.21 KB 0755
paper File 22.59 KB 0755
paperconf File 14.38 KB 0755
papers File 6.82 MB 0755
papers-previewer File 46.59 KB 0755
papers-thumbnailer File 18.46 KB 0755
partx File 62.46 KB 0755
passwd File 91.45 KB 4755
paste File 38.49 KB 0755
patch File 182.52 KB 0755
pathchk File 38.59 KB 0755
pcilmr File 50.45 KB 0755
pdb3 File 88.79 KB 0755
pdb3.13 File 88.79 KB 0755
pdf2ps File 909 B 0755
pdfattach File 22.46 KB 0755
pdfdetach File 30.57 KB 0755
pdffonts File 22.6 KB 0755
pdfimages File 42.6 KB 0755
pdfinfo File 74.58 KB 0755
pdfseparate File 22.46 KB 0755
pdfsig File 47.01 KB 0755
pdftocairo File 174.66 KB 0755
pdftohtml File 114.49 KB 0755
pdftoppm File 38.66 KB 0755
pdftops File 34.76 KB 0755
pdftotext File 58.6 KB 0755
pdfunite File 34.46 KB 0755
peekfd File 14.38 KB 0755
perf File 10.59 MB 0755
perl File 3.86 MB 0755
perl5.40-x86_64-linux-gnu File 14.38 KB 0755
perl5.40.1 File 3.86 MB 0755
perlbug File 44.52 KB 0755
perldoc File 125 B 0755
perli11ndoc File 58.17 KB 0755
perlivp File 10.61 KB 0755
perlthanks File 44.52 KB 0755
perror File 1.53 MB 0755
pf2afm File 498 B 0755
pfbtopfa File 516 B 0755
pgrep File 34.55 KB 0755
phar File 14.88 KB 0755
phar.default File 14.88 KB 0755
phar.phar File 14.88 KB 0755
phar.phar.default File 14.88 KB 0755
phar.phar8.4 File 14.88 KB 0755
phar8.4 File 14.88 KB 0755
phar8.4.phar File 14.88 KB 0755
php File 5.79 MB 0755
php.default File 5.79 MB 0755
php8.4 File 5.79 MB 0755
pic File 228.12 KB 0755
pico File 328.65 KB 0755
piconv File 8.16 KB 0755
pidof File 26.3 KB 0755
pidstat File 50.55 KB 0755
pidwait File 34.55 KB 0755
pinentry File 86.73 KB 0755
pinentry-curses File 70.72 KB 0755
pinentry-gnome3 File 86.73 KB 0755
pinentry-x11 File 86.73 KB 0755
ping File 155.74 KB 0755
ping4 File 155.74 KB 0755
ping6 File 155.74 KB 0755
pinky File 42.49 KB 0755
pipewire File 14.45 KB 0755
pipewire-aes67 File 14.45 KB 0755
pipewire-avb File 14.45 KB 0755
pipewire-pulse File 14.45 KB 0755
pk12util File 75.08 KB 0755
pk1sign File 22.52 KB 0755
pkaction File 18.45 KB 0755
pkcheck File 26.38 KB 0755
pkcon File 58.38 KB 0755
pkexec File 30.3 KB 4755
pkill File 34.55 KB 0755
pkmon File 22.38 KB 0755
pkttyagent File 22.45 KB 0755
pl2pm File 4.43 KB 0755
pldd File 22.52 KB 0755
plog File 146 B 0755
plymouth File 54.45 KB 0755
pmap File 38.48 KB 0755
pnm2ppa File 1.57 MB 0755
pod2html File 3.95 KB 0755
pod2man File 18.46 KB 0755
pod2text File 12.8 KB 0755
pod2usage File 4.01 KB 0755
podchecker File 3.64 KB 0755
poff File 2.77 KB 0755
pon File 1.33 KB 0755
powerprofilesctl File 10.49 KB 0755
ppdc File 118.55 KB 0755
ppdhtml File 82.55 KB 0755
ppdi File 106.55 KB 0755
ppdmerge File 18.45 KB 0755
ppdpo File 90.55 KB 0755
pphs File 404 B 0755
pr File 78.64 KB 0755
precat File 5.52 KB 0755
preconv File 62.55 KB 0755
preunzip File 5.52 KB 0755
prezip File 5.52 KB 0755
prezip-bin File 14.38 KB 0755
printafm File 395 B 0755
printenv File 34.46 KB 0755
printer-profile File 5.51 KB 0755
printf File 42.59 KB 0755
prlimit File 26.97 KB 0755
pro File 1003 B 0755
prove File 13.36 KB 0755
prtstat File 22.45 KB 0755
ps File 163.07 KB 0755
ps2ascii File 494 B 0755
ps2epsi File 1.27 KB 0755
ps2pdf File 272 B 0755
ps2pdf12 File 257 B 0755
ps2pdf13 File 257 B 0755
ps2pdf14 File 257 B 0755
ps2pdfwr File 1.05 KB 0755
ps2ps File 647 B 0755
ps2ps2 File 669 B 0755
ps2txt File 494 B 0755
psfaddtable File 26.45 KB 0755
psfgettable File 26.45 KB 0755
psfstriptable File 26.45 KB 0755
psfxtable File 26.45 KB 0755
psicc File 14.39 KB 0755
pslog File 14.38 KB 0755
pstree File 63.4 KB 0755
pstree.x11 File 63.4 KB 0755
ptar File 3.48 KB 0755
ptardiff File 2.58 KB 0755
ptargrep File 4.29 KB 0755
ptx File 58.62 KB 0755
pw-cat File 102.45 KB 0755
pw-cli File 154.56 KB 0755
pw-config File 22.45 KB 0755
pw-container File 22.45 KB 0755
pw-dot File 62.45 KB 0755
pw-dsdplay File 102.45 KB 0755
pw-dump File 114.54 KB 0755
pw-encplay File 102.45 KB 0755
pw-link File 34.45 KB 0755
pw-loopback File 26.45 KB 0755
pw-metadata File 14.45 KB 0755
pw-mididump File 34.45 KB 0755
pw-midiplay File 102.45 KB 0755
pw-midirecord File 102.45 KB 0755
pw-mon File 106.5 KB 0755
pw-play File 102.45 KB 0755
pw-profiler File 26.45 KB 0755
pw-record File 102.45 KB 0755
pw-reserve File 26.45 KB 0755
pw-top File 50.45 KB 0755
pwd File 38.59 KB 0755
pwdecrypt File 22.39 KB 0755
pwdx File 14.45 KB 0755
py3clean File 7.59 KB 0755
py3compile File 12.99 KB 0755
py3versions File 12.52 KB 0755
pybabel File 956 B 0755
pybabel-python3 File 956 B 0755
pydoc3 File 80 B 0755
pydoc3.13 File 80 B 0755
pygettext3 File 23.87 KB 0755
pygettext3.13 File 23.87 KB 0755
pygmentize File 215 B 0755
pyserial-miniterm File 975 B 0755
pyserial-ports File 969 B 0755
python3 File 6.51 MB 0755
python3.13 File 6.51 MB 0755
pzstd File 866.54 KB 0755
qmi-firmware-update File 180.16 KB 0755
qmi-network File 16.04 KB 0755
qmicli File 647.17 KB 0755
qpdldecode File 22.6 KB 0755
quirks-handler File 2.4 KB 0755
ranlib File 54.56 KB 0755
rbash File 1.66 MB 0755
rctest File 42.4 KB 0755
rdma File 126.6 KB 0755
readelf File 790.98 KB 0755
readlink File 42.49 KB 0755
realpath File 42.49 KB 0755
red File 89 B 0755
remmina File 969.16 KB 0755
remmina-file-wrapper File 1.3 KB 0755
remmina-gnome File 530 B 0755
rename.ul File 22.45 KB 0755
rendercheck File 59.78 KB 0755
renice File 14.45 KB 0755
reset File 30.38 KB 0755
resizecons File 30.54 KB 0755
resizepart File 22.45 KB 0755
resolvectl File 178.69 KB 0755
rev File 14.45 KB 0755
rfcomm File 30.81 KB 0755
rgrep File 30 B 0755
rhythmbox File 14.38 KB 0755
rhythmbox-client File 56.29 KB 0755
rm File 62.59 KB 0755
rmdir File 38.49 KB 0755
rnano File 328.65 KB 0755
rotatelogs File 26.46 KB 0755
routel File 1.62 KB 0755
rpcgen File 94.59 KB 0755
rrsync File 12.7 KB 0755
rsaperf File 688.82 KB 0755
rstart File 2.55 KB 0755
rstartd File 1.43 KB 0755
rsync File 594.21 KB 0755
rsync-ssl File 5.01 KB 0755
rtla File 1.58 KB 0755
rtstat File 22.73 KB 0755
run-parts File 30.89 KB 0755
run-with-aspell File 57 B 0755
run0 File 82.9 KB 0755
runcon File 38.59 KB 0755
rview File 2.16 MB 0755
rygel File 50.45 KB 0755
sadf File 396.13 KB 0755
sane-find-scanner File 103.25 KB 0755
sar File 179.1 KB 0755
sar.sysstat File 179.1 KB 0755
savelog File 10.24 KB 0755
sbattach File 22.54 KB 0755
sbkeysync File 34.74 KB 0755
sbsiglist File 14.6 KB 0755
sbsign File 34.7 KB 0755
sbvarsign File 22.73 KB 0755
sbverify File 30.61 KB 0755
scanimage File 79.19 KB 0755
scp File 162.74 KB 0755
scp-dbus-service File 90 B 0755
screendump File 18.37 KB 0755
script File 54.45 KB 0755
scriptlive File 42.45 KB 0755
scriptreplay File 34.45 KB 0755
sdiff File 58.47 KB 0755
sdptool File 148.38 KB 0755
seahorse File 1.18 MB 0755
sed File 110.57 KB 0755
select-default-iwrap File 474 B 0755
select-editor File 2.62 KB 0755
selfserv File 74.42 KB 0755
sensible-browser File 1.06 KB 0755
sensible-editor File 1.51 KB 0755
sensible-pager File 824 B 0755
sensible-terminal File 1.08 KB 0755
seq File 42.59 KB 0755
session-migration File 22.15 KB 0755
sessreg File 14.38 KB 0755
setarch File 26.73 KB 0755
setfacl File 38.38 KB 0755
setfont File 54.91 KB 0755
setkeycodes File 14.45 KB 0755
setleds File 18.51 KB 0755
setlogcons File 14.45 KB 0755
setmetamode File 14.48 KB 0755
setpci File 34.46 KB 0755
setpriv File 46.46 KB 0755
setsid File 14.45 KB 0755
setterm File 38.45 KB 0755
setupcon File 40.01 KB 0755
setxkbmap File 30.78 KB 0755
sftp File 178.73 KB 0755
sg File 18.45 KB 4755
sh File 146.84 KB 0755
sha1sum File 42.49 KB 0755
sha224sum File 42.49 KB 0755
sha256sum File 42.49 KB 0755
sha384sum File 42.49 KB 0755
sha512sum File 42.49 KB 0755
shasum File 9.75 KB 0755
shlibsign File 38.76 KB 0755
shotwell File 5.92 MB 0755
showconsolefont File 18.45 KB 0755
showkey File 18.45 KB 0755
showrgb File 14.38 KB 0755
shred File 62.59 KB 0755
shuf File 50.59 KB 0755
signtool File 122.49 KB 0755
signver File 42.76 KB 0755
simple-scan File 522.44 KB 0755
size File 30.53 KB 0755
skill File 30.49 KB 0755
slabtop File 22.52 KB 0755
sleep File 34.59 KB 0755
slogin File 1.07 MB 0755
slxdecode File 18.31 KB 0755
smproxy File 26.39 KB 0755
snap File 18.41 MB 0755
snapctl File 7.1 MB 0755
snapfuse File 42.3 KB 0755
snapshot File 4.59 MB 0755
snice File 30.49 KB 0755
soelim File 38.55 KB 0755
soffice File 6.5 KB 0755
software-properties-gtk File 4.04 KB 0755
sort File 118.84 KB 0755
spa-acp-tool File 344.34 KB 0755
spa-inspect File 110.55 KB 0755
spa-json-dump File 34.45 KB 0755
spa-monitor File 14.55 KB 0755
spa-resample File 34.8 KB 0755
spd-conf File 1003 B 0755
spd-say File 31.21 KB 0755
spdsend File 14.38 KB 0755
speaker-test File 42.52 KB 0755
speech-dispatcher File 250.48 KB 0755
spice-vdagent File 82.85 KB 0755
splain File 19 KB 0755
split File 59.02 KB 0755
splitfont File 14.37 KB 0755
sqfscat File 147.9 KB 0755
sqfstar File 286.95 KB 0755
ss File 136.93 KB 0755
ssh File 1.07 MB 0755
ssh-add File 350.5 KB 0755
ssh-agent File 366.51 KB 2755
ssh-argv0 File 1.42 KB 0755
ssh-copy-id File 13.84 KB 0755
ssh-import-id File 985 B 0755
ssh-import-id-gh File 785 B 0755
ssh-import-id-lp File 785 B 0755
ssh-keygen File 526.52 KB 0755
ssh-keyscan File 538.52 KB 0755
ssltap File 78.46 KB 0755
sss_ssh_authorizedkeys File 34.38 KB 0755
sss_ssh_knownhosts File 34.38 KB 0755
sss_ssh_knownhostsproxy File 26.38 KB 0755
startx File 5.26 KB 0755
stat File 90.59 KB 0755
static-sh File 2.34 MB 0755
stdbuf File 38.59 KB 0755
strace File 2.13 MB 0755
strace-log-merge File 1.83 KB 0755
streamzip File 7.87 KB 0755
strings File 34.69 KB 0755
strip File 166.73 KB 0755
strsclnt File 46.41 KB 0755
stty File 66.6 KB 0755
su File 54.45 KB 4755
sudo File 287.48 KB 4755
sudoedit File 287.48 KB 4755
sudoreplay File 96.03 KB 0755
sum File 38.49 KB 0755
switcherooctl File 4.77 KB 0755
symkeyutil File 39.29 KB 0755
sync File 34.49 KB 0755
sysprof File 1.2 MB 0755
sysprof-agent File 474.84 KB 0755
sysprof-cat File 322.59 KB 0755
sysprof-cli File 474.84 KB 0755
systemctl File 299 KB 0755
systemd-ac-power File 14.45 KB 0755
systemd-analyze File 218.87 KB 0755
systemd-ask-password File 18.59 KB 0755
systemd-cat File 18.45 KB 0755
systemd-cgls File 22.57 KB 0755
systemd-cgtop File 38.47 KB 0755
systemd-confext File 74.65 KB 0755
systemd-creds File 50.74 KB 0755
systemd-cryptenroll File 83 KB 0755
systemd-cryptsetup File 79.05 KB 0755
systemd-delta File 26.45 KB 0755
systemd-detect-virt File 18.45 KB 0755
systemd-escape File 22.45 KB 0755
systemd-firstboot File 58.88 KB 0755
systemd-hwdb File 14.44 KB 0755
systemd-id128 File 26.45 KB 0755
systemd-inhibit File 22.47 KB 0755
systemd-machine-id-setup File 18.63 KB 0755
systemd-mount File 54.79 KB 0755
systemd-notify File 30.73 KB 0755
systemd-path File 18.45 KB 0755
systemd-run File 82.9 KB 0755
systemd-socket-activate File 30.45 KB 0755
systemd-stdio-bridge File 22.45 KB 0755
systemd-sysext File 74.65 KB 0755
systemd-sysusers File 66.63 KB 0755
systemd-tmpfiles File 126.7 KB 0755
systemd-tty-ask-password-agent File 34.45 KB 0755
systemd-umount File 54.79 KB 0755
systemd-vpick File 26.64 KB 0755
tabs File 18.38 KB 0755
tac File 42.49 KB 0755
tail File 74.61 KB 0755
tapestat File 30.55 KB 0755
tar File 510.04 KB 0755
taskset File 30.45 KB 0755
tbl File 154.55 KB 0755
tclsh File 14.23 KB 0755
tclsh8.6 File 14.23 KB 0755
tcpdump File 1.21 MB 0755
tecla File 66.52 KB 0755
tee File 42.59 KB 0755
telnet File 221.9 KB 0755
tempfile File 14.38 KB 0755
test File 34.51 KB 0755
thunderbird File 2.4 KB 0755
tic File 94.49 KB 0755
tificc File 34.46 KB 0755
time File 26.52 KB 0755
timedatectl File 46.45 KB 0755
timeout File 43.01 KB 0755
tinysparql File 60.69 KB 0755
tload File 22.47 KB 0755
tnftp File 182.9 KB 0755
toe File 22.38 KB 0755
top File 147.77 KB 0755
totem File 22.45 KB 0755
totem-video-thumbnailer File 38.48 KB 0755
touch File 82.59 KB 0755
tput File 26.41 KB 0755
tr File 50.55 KB 0755
trace-cmd File 435.41 KB 0755
tracepath File 18.23 KB 0755
transicc File 38.39 KB 0755
transmission-gtk File 2.78 MB 0755
transset File 22.78 KB 0755
troff File 818.7 KB 0755
true File 34.46 KB 0755
truncate File 38.59 KB 0755
trust File 246.78 KB 0755
tset File 30.38 KB 0755
tsort File 42.59 KB 0755
tstclnt File 106.5 KB 0755
tty File 34.59 KB 0755
turbostat File 1.58 KB 0755
tzselect File 21.39 KB 0755
ua File 1003 B 0755
ubuntu-advantage File 1003 B 0755
ubuntu-bug File 2.27 KB 0755
ubuntu-distro-info File 26.97 KB 0755
ubuntu-drivers File 18.25 KB 0755
ubuntu-report File 7.9 MB 0755
ubuntu-security-status File 22.25 KB 0755
ucf File 35.62 KB 0755
ucfq File 18.46 KB 0755
ucfr File 9.93 KB 0755
uclampset File 30.45 KB 0755
ucs2any File 26.38 KB 0755
udevadm File 618.84 KB 0755
udisksctl File 62.45 KB 0755
ul File 26.46 KB 0755
umax_pp File 191.53 KB 0755
umount File 38.45 KB 4755
uname File 34.59 KB 0755
unattended-upgrade File 116.54 KB 0755
unattended-upgrades File 116.54 KB 0755
uncompress File 2.28 KB 0755
unexpand File 38.61 KB 0755
unicode_start File 2.71 KB 0755
unicode_stop File 528 B 0755
uniq File 46.6 KB 0755
unity-scope-loader File 14.38 KB 0755
unlink File 34.59 KB 0755
unlzma File 103.02 KB 0755
unmkinitramfs File 6.23 KB 0755
unopkg File 52 B 0755
unshare File 46.68 KB 0755
unsquashfs File 147.9 KB 0755
unxz File 103.02 KB 0755
unzip File 190.61 KB 0755
unzipsfx File 94.63 KB 0755
unzstd File 1.22 MB 0755
update-alternatives File 66.46 KB 0755
update-desktop-database File 22.46 KB 0755
update-manager File 4.65 KB 0755
update-mime-database File 90.41 KB 0755
update-notifier File 91.23 KB 0755
upower File 18.38 KB 0755
uptime File 14.45 KB 0755
usb-creator-gtk File 2.87 KB 0755
usb-devices File 4.84 KB 0755
usb_printerid File 14.31 KB 0755
usbhid-dump File 30.46 KB 0755
usbip File 1.58 KB 0755
usbipd File 1.58 KB 0755
usbreset File 14.38 KB 0755
users File 38.59 KB 0755
uuidgen File 22.45 KB 0755
uuidparse File 22.45 KB 0755
varlinkctl File 38.57 KB 0755
vcs-run File 6.75 KB 0755
vdir File 155.02 KB 0755
vfychain File 74.47 KB 0755
vfyserv File 42.47 KB 0755
vi File 2.16 MB 0755
view File 2.16 MB 0755
viewres File 31.3 KB 0755
vim.tiny File 2.16 MB 0755
vmstat File 38.86 KB 0755
vmwarectrl File 14.26 KB 0755
vsftpdwho File 54 B 0755
vstp File 26.24 KB 0755
w File 26.45 KB 0755
wall File 26.45 KB 0755
watch File 34.92 KB 0755
watchgnupg File 22.38 KB 0755
wc File 62.59 KB 0755
wcurl File 10.3 KB 0755
wdctl File 34.48 KB 0755
wget File 579.05 KB 0755
whatis File 47.36 KB 0755
whereis File 30.91 KB 0755
which File 1.05 KB 0755
which.debianutils File 1.05 KB 0755
whiptail File 30.24 KB 0755
who File 46.6 KB 0755
whoami File 34.59 KB 0755
whoopsie File 50.98 KB 0755
whoopsie-preferences File 22.23 KB 0755
wireplumber File 18.64 KB 0755
word-list-compress File 14.38 KB 0755
wpa_passphrase File 14.46 KB 0755
wpctl File 62.51 KB 0755
wpexec File 18.63 KB 0755
wsdd File 72.92 KB 0755
x-session-manager File 958 B 0755
x-terminal-emulator File 6.06 KB 0755
x-www-browser File 2.32 KB 0755
x11perf File 197.46 KB 0755
x11perfcomp File 2.74 KB 0755
x86_64 File 26.73 KB 0755
x86_64-linux-gnu-addr2line File 30.78 KB 0755
x86_64-linux-gnu-ar File 54.56 KB 0755
x86_64-linux-gnu-as File 795.52 KB 0755
x86_64-linux-gnu-c++filt File 26.34 KB 0755
x86_64-linux-gnu-cpp File 1.13 MB 0755
x86_64-linux-gnu-cpp-14 File 1.13 MB 0755
x86_64-linux-gnu-elfedit File 34.79 KB 0755
x86_64-linux-gnu-gcc File 1.13 MB 0755
x86_64-linux-gnu-gcc-14 File 1.13 MB 0755
x86_64-linux-gnu-gcc-ar File 30.66 KB 0755
x86_64-linux-gnu-gcc-ar-14 File 30.66 KB 0755
x86_64-linux-gnu-gcc-nm File 30.66 KB 0755
x86_64-linux-gnu-gcc-nm-14 File 30.66 KB 0755
x86_64-linux-gnu-gcc-ranlib File 30.66 KB 0755
x86_64-linux-gnu-gcc-ranlib-14 File 30.66 KB 0755
x86_64-linux-gnu-gcov File 468.19 KB 0755
x86_64-linux-gnu-gcov-14 File 468.19 KB 0755
x86_64-linux-gnu-gcov-dump File 380.14 KB 0755
x86_64-linux-gnu-gcov-dump-14 File 380.14 KB 0755
x86_64-linux-gnu-gcov-tool File 408.23 KB 0755
x86_64-linux-gnu-gcov-tool-14 File 408.23 KB 0755
x86_64-linux-gnu-gprof File 99.86 KB 0755
x86_64-linux-gnu-ld File 1.78 MB 0755
x86_64-linux-gnu-ld.bfd File 1.78 MB 0755
x86_64-linux-gnu-lto-dump File 31.61 MB 0755
x86_64-linux-gnu-lto-dump-14 File 31.61 MB 0755
x86_64-linux-gnu-nm File 47.57 KB 0755
x86_64-linux-gnu-objcopy File 166.7 KB 0755
x86_64-linux-gnu-objdump File 397.89 KB 0755
x86_64-linux-gnu-ranlib File 54.56 KB 0755
x86_64-linux-gnu-readelf File 790.98 KB 0755
x86_64-linux-gnu-size File 30.53 KB 0755
x86_64-linux-gnu-strings File 34.69 KB 0755
x86_64-linux-gnu-strip File 166.73 KB 0755
x86_energy_perf_policy File 1.58 KB 0755
xargs File 66.49 KB 0755
xauth File 55.03 KB 0755
xbiff File 24.16 KB 0755
xbrlapi File 238.57 KB 0755
xcalc File 51.48 KB 0755
xclipboard File 22.58 KB 0755
xclock File 53.06 KB 0755
xcmsdb File 42.46 KB 0755
xconsole File 23.2 KB 0755
xcursorgen File 22.3 KB 0755
xcutsel File 18.56 KB 0755
xdg-dbus-proxy File 58.3 KB 0755
xdg-desktop-icon File 22.29 KB 0755
xdg-desktop-menu File 43.17 KB 0755
xdg-email File 28.24 KB 0755
xdg-icon-resource File 31.47 KB 0755
xdg-mime File 46.62 KB 0755
xdg-open File 31.53 KB 0755
xdg-screensaver File 38.55 KB 0755
xdg-settings File 43.31 KB 0755
xdg-terminal-exec File 33.69 KB 0755
xdg-user-dir File 234 B 0755
xdg-user-dirs-gtk-update File 22.3 KB 0755
xdg-user-dirs-update File 26.3 KB 0755
xditview File 108.13 KB 0755
xdpyinfo File 39.13 KB 0755
xdriinfo File 14.38 KB 0755
xedit File 705.34 KB 0755
xev File 34.7 KB 0755
xeyes File 32.13 KB 0755
xfd File 40.08 KB 0755
xfontsel File 47.92 KB 0755
xgamma File 14.38 KB 0755
xgc File 70.38 KB 0755
xhost File 22.38 KB 0755
xinit File 22.38 KB 0755
xinput File 58.83 KB 0755
xkbbell File 14.39 KB 0755
xkbcomp File 212.18 KB 0755
xkbevd File 38.46 KB 0755
xkbprint File 94.42 KB 0755
xkbvleds File 23.18 KB 0755
xkbwatch File 23.24 KB 0755
xkeystone File 16.58 KB 0755
xkill File 14.38 KB 0755
xload File 22.92 KB 0755
xlogo File 23.19 KB 0755
xlsatoms File 14.38 KB 0755
xlsclients File 18.38 KB 0755
xlsfonts File 26.48 KB 0755
xmag File 44.31 KB 0755
xman File 77.2 KB 0755
xmessage File 23.27 KB 0755
xmodmap File 46.75 KB 0755
xmore File 14.53 KB 0755
xorrecord File 14.15 KB 0755
xorriso File 14.15 KB 0755
xorrisofs File 14.15 KB 0755
xprop File 48.68 KB 0755
xqxdecode File 18.31 KB 0755
xrandr File 70.48 KB 0755
xrdb File 42.48 KB 0755
xrefresh File 14.46 KB 0755
xset File 34.38 KB 0755
xsetmode File 14.38 KB 0755
xsetpointer File 14.38 KB 0755
xsetroot File 18.38 KB 0755
xsetwacom File 59.84 KB 0755
xsm File 98.71 KB 0755
xstdcmap File 18.96 KB 0755
xsubpp File 5.05 KB 0755
xvidtune File 43.84 KB 0755
xvinfo File 18.38 KB 0755
xwd File 30.31 KB 0755
xwininfo File 50.46 KB 0755
xwud File 30.3 KB 0755
xxd File 22.36 KB 0755
xz File 103.02 KB 0755
xzcat File 103.02 KB 0755
xzcmp File 7.41 KB 0755
xzdiff File 7.41 KB 0755
xzegrep File 10.17 KB 0755
xzfgrep File 10.17 KB 0755
xzgrep File 10.17 KB 0755
xzless File 2.33 KB 0755
xzmore File 2.18 KB 0755
yelp File 58.3 KB 0755
yes File 34.46 KB 0755
ypdomainname File 22.3 KB 0755
zcat File 1.93 KB 0755
zcmp File 1.64 KB 0755
zdiff File 6.3 KB 0755
zdump File 30.36 KB 0755
zegrep File 29 B 0755
zenity File 148.94 KB 0755
zfgrep File 29 B 0755
zforce File 2.03 KB 0755
zgrep File 8.01 KB 0755
zip File 223.08 KB 0755
zipcloak File 74.48 KB 0755
zipdetails File 231.06 KB 0755
zipgrep File 2.89 KB 0755
zipinfo File 190.61 KB 0755
zipnote File 66.48 KB 0755
zipsplit File 62.48 KB 0755
zjsdecode File 26.32 KB 0755
zless File 2.38 KB 0755
zmore File 1.79 KB 0755
znew File 4.46 KB 0755
zstd File 1.22 MB 0755
zstdcat File 1.22 MB 0755
zstdgrep File 3.78 KB 0755
zstdless File 197 B 0755
zstdmt File 1.22 MB 0755
Filemanager